haskell-src-exts-1.17.1: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer

Safe Haskell | Safe
Language | Haskell98

Language.Haskell.Exts.Comments

Synopsis

- data Comment = Comment Bool SrcSpan String
- data UnknownPragma = UnknownPragma SrcSpan String

# Documentation

data Comment

A Haskell comment. The `Bool` is `True` if the comment is multi-line, i.e. `{- -}`.

Constructors

Comment Bool SrcSpan String |

Instances

Eq Comment |
Data Comment |
Show Comment |

data UnknownPragma

An unknown pragma.

Constructors

UnknownPragma SrcSpan String |

Instances

Eq UnknownPragma |
Data UnknownPragma |
Show UnknownPragma |